adt-virt-lxd(1)

NAME
adt-virt-lxd - autopkgtest virtualisation server using LXD

SYNOPSIS
adt-virt-lxd [options] image [-- extra lxc launch args...]

DESCRIPTION
adt-virt-lxd provides an autopkgtest virtualisation server using LXD. It creates temporary containers from the given LXD image name. Normally adt-virt-lxd will be invoked by adt-run.

REQUIREMENTS
adt-virt-lxd makes no strict assumptions about the image. However, it is highly recommended that the image has eatmydata installed, or at least that gets installed via setup commands. For production use, it is recommended to use adt-build-lxd(1) to generate an optimized image with autopkgtest's standard setup commands applied. Then these setup commands don't need to be applied for every test. This is particularly necessary if you want to use --apt-source tests, i. e. use apt-get source in the test bed to download the package to test. Standard images from linuxcontainers.org do not have "deb-src" apt sources by default.

OPTIONS

-r remote | --remote=remote
    Run container on given remote host instead of locally. See lxc remote list for available remotes.

-d | --debug
    Enables debugging output.

You can pass additional options to lxd launch: Anything after a -- gets appended verbatim to lxc launch image.

INPUT, OUTPUT AND EXIT STATUS
The behaviour of adt-virt-lxd is as described by the AutomatedTesting virtualisation regime specification.

EXAMPLE
Show available images on the standard linuxcontainers.org remote image server:
        lxc image list images:
Run the tests of a local built directory tree on the current Debian sid image from the above images: remote:
        adt-run my-package/ --- lxd images:debian/sid/amd64
Run the tests in a local built directory tree from a local LXD image desktop/i386, ensuring that eatmydata is installed:
        adt-run --setup-commands 'apt-get install -y eatmydata' dir/to/test/ \
          --- lxd desktop/i386
Run the tests of the libpng package on the current Debian sid image from the images: remote on a remote armhf host:
        lxc remote add armhf-test http://armhf.testlab.example.com:8443
        adt-run --setup-commands=setup-testbed libpng --- \
           lxd --remote armhf-test images:debian/sid/armhf
Build a local image with standard setup commands pre-applied from a remote standard image, and run libpng test in it:
        adt-build-lxd images:ubuntu/xenial/amd64
        adt-run libpng --- lxd adt/ubuntu/xenial/amd64

SEE ALSO
adt-run(1), adt-build-lxd(1), /usr/share/doc/autopkgtest/.

AUTHORS AND COPYRIGHT
adt-virt-lxd was written by Martin Pitt <martin.pitt@ubuntu.com>. This manpage is part of autopkgtest, a tool for testing Debian binary packages. autopkgtest is Copyright (C) 2006-2015 Canonical Ltd and others. See /usr/share/doc/autopkgtest/CREDITS for the list of contributors and full copying conditions.